# std::_Deque_base< _Tp, _Alloc >::_Deque_impl Struct Reference

List of all members.

## Detailed Description

### template<typename _Tp, typename _Alloc>
struct std::_Deque_base< _Tp, _Alloc >::_Deque_impl

Definition at line 401 of file stl_deque.h.

## Public Member Functions

- _Deque_impl (const _Tp_alloc_type &__a)

## Public Attributes

- iterator _M_finish
- _Tp ** _M_map
- size_t _M_map_size
- iterator _M_start

The documentation for this struct was generated from the following file:

- stl_deque.h